Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In with Facebook Sign In with Google Sign In with OpenID Sign In with Twitter
Support for Vanilla Forums Cloud product

In this Discussion

Follow Us


v2.1.8b4 facebook plugin 'UniqueId required' error

camocamo New
edited September 2011 in Questions
Getting above error, have curl on my server enabled
app & settings setup as instructed.
after login to facebook, says...
Add Info & Create Account

shows current admin (me) login details e.g

email in username field and password ******* in password field with above message
and broken image where it should show my FB profile image


Searching here or github no help with this issue.
can anyone please help?

I followed instructions here

http://vanillaforums.com/blog/help/how-to-add-facebook-twitter-google-and-openid-to-your-community/

Anyone have a fix for this please?
Tagged:

Best Answer

Answers

  • edited September 2011
    I don't think ... or at last if you're not a big member that is quickly spotted. I had the same issue and no fix so I dumped Vanilla.
  • Its rather frustrating, I agree. So many bugs and so little supportive documentation.
    When you search, you find other people with the same issue, from months ago but no answers.
  • camocamo New
    edited September 2011
    It does not seem to work here on THIS forum either, unless im misunderstanding it.
    I logged out and clicked the facebook icon, signed into facebook and got the 'create new account screen (it showed my facebook profile pic.)
    I chose a different username than my existing account here and left the password feild blank as it instructed and got 'Error: ConnectName required'
    When entering existing username and password I got the same error.

    edit: same thing when repeating process after clearing browser cache and cookies.
    could be iplogging by THIS site?

    could not use suggestion here....

    http://vanillaforums.org/discussion/13612/facebook-plugins-not-working-properly/p1

    because that file (class.facebook.plugin.php) is different (mine from plugins > v2.1.8b4)

    nor was it whitespace as suggested here...

    http://vanillaforums.org/discussion/15053#Item_16

    somebody please please please try to sort this out?

  • ok thanks mate, its just im getting overloaded with customer mail asking for fb login.
  • I think I will turn back to 2.1.17, as facebook worked there
    I am having the SAME problem with google login

    Bye
  • camocamo New
    edited October 2011
    Eestruch, you cant downgrade (i think) but I finally found a fix posted by
    Alibaba31337 It worked!

    here is the post that shows the fix

    http://vanillaforums.org/discussion/comment/135221#Comment_135221

  • edited October 2011
    Thanks!
    I already saw that post, but was old, and also wasn't the exactly the same error.
    I will give it a try (as soon as I can), and I'll post my results.

    As I am in testing, and becoming familiar with the features, and not doing the final step to "open" the forum, I was nearly going to delete it all (not "downgrading"), and start over again with the .17
    (But I liked the new features of .18b4... so I was between two walls)

    Well, thanks!

    EDIT: Still not working, now I have "ConnectName is required."
  • edited October 2011
    @Lincoln
    @camo

    I got rid with the error. Don't ask me why, but if you change the class.entrycontroller.php of version 2.0.18 for the one of the version 2.0.17 it just works!!!
    (files under applications/dashboard/controllers)
    So I think you can now focus with the difference that is in that two files, that makes this error to happen!!!
    (This also fixes the same error I had with Google Sign In)

    IMPORTANT EDIT:
    There was also an error that every time you sign in with twitter, the profile picture changed, got updated. I could see the update in "Activity" (In version .18b4 and .18RC2)
    With this "fix" (changing the file I said) this is not happening anymore, and the login works well
  • I tried your fix, ie. replace class.entrycontroller.php from 2.0.18 with the version from 2.0.17. It does fix the Facebook issue, but creates another problem: confirmation emails are sent out but not confirmed when the confirmation URL is clicked :-(
  • LincolnLincoln Community Instigator Vanilla Staff
    Replacing the entrycontroller from 2.0.17 is an extremely bad idea. You may be fixing your 1 issue but you have no idea how many other issues you could be creating.

    Sr Developer at Vanilla Forums [GitHub, Twitter]

  • I know is a bad idea... But I wanted facebook connect to work...

    Is it working with 2.0.18?

    Bye!
  • LincolnLincoln Community Instigator Vanilla Staff
    camo closed the issue he opened, so I presume it was fixed along the way.

    Sr Developer at Vanilla Forums [GitHub, Twitter]

  • I am having this error: -

    {
    "error": {
    "message": "Invalid redirect_uri: Given URL is not permitted by the application configuration.",
    "type": "OAuthException"
    }
    }
Sign In or Register to comment.